## vpnc 0.3.2+SVN20050326

=== Makefile ===
# Makefile for an IPSec VPN client compatible with Cisco equipment.
# Copyright (C) 2002  Geoffrey Keating
# Copyright (C) 2003-2004  Maurice Massar

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

DESTDIR=
PREFIX=/usr/local
SBINDIR=$(PREFIX)/sbin
MANDIR=$(PREFIX)/share/man

CC=gcc
CFLAGS=-W -Wall -O -g '-DVERSION="$(shell cat VERSION)"' $(shell libgcrypt-config --cflags)
LDFLAGS=-g $(shell libgcrypt-config --libs)

ifeq ($(shell uname -s), Linux)
SYSDEP=sysdep-linux.o
endif
ifeq ($(shell uname -s), FreeBSD)
CFLAGS += -DSOCKADDR_IN_SIN_LEN -DHAVE_SA_LEN
SYSDEP=sysdep-bsd.o
endif
ifeq ($(shell uname -s), NetBSD)
CFLAGS += -DSOCKADDR_IN_SIN_LEN -DHAVE_SA_LEN
SYSDEP=sysdep-bsd.o
endif
ifeq ($(shell uname -s), OpenBSD)
CFLAGS += -DSOCKADDR_IN_SIN_LEN -DHAVE_SA_LEN -DNEED_IPLEN_FIX -DNEW_TUN
SYSDEP=sysdep-bsd.o
endif
ifeq ($(shell uname -s), SunOS)
CFLAGS += -DNEED_IPLEN_FIX
LDFLAGS += -lnsl -lresolv -lsocket
SYSDEP=sysdep-svr4.o
endif

FILELIST := $(shell echo *.c *.h vpnc-*) Makefile README ChangeLog COPYING TODO VERSION vpnc.conf vpnc.8 pcf2vpnc

vpnc : vpnc.o isakmp-pkt.o tunip.o config.o $(SYSDEP) dh.o math_group.o
	$(CC) -o $@ $^ $(LDFLAGS)

vpnc.o : isakmp.h isakmp-pkt.h dh.h sysdep.h math_group.h config.h VERSION
isakmp-pkt.o : isakmp.h isakmp-pkt.h config.h
tunip.o : sysdep.h vpnc.h config.h
config.o : vpnc.h config.h VERSION
dh.o : dh.h math_group.h
math_group.o : math_group.h

vpnc.ps : vpnc.c
	enscript -E -G -T 4 --word-wrap -o- $^ | psnup -2 /dev/stdin $@

../vpnc-%.tar.gz : vpnc-$*.tar.gz

etags :
	etags *.[ch]
ctags :
	ctags *.[ch]

vpnc-%.tar.gz : $(FILELIST)
	mkdir vpnc-$*
	cp -al $(FILELIST) vpnc-$*/
	tar zcf ../$@ vpnc-$*
	rm -rf vpnc-$*

dist : VERSION vpnc-$(shell cat VERSION).tar.gz

clean :
	-rm -f vpnc *.o tags

all : vpnc

install :
	install -d $(DESTDIR)$(SBINDIR) $(DESTDIR)$(MANDIR)/man8
	install vpnc vpnc-connect vpnc-disconnect $(DESTDIR)$(SBINDIR)
	install vpnc.8 $(DESTDIR)$(MANDIR)/man8

install-strip :
	install -d $(DESTDIR)$(SBINDIR) $(DESTDIR)$(MANDIR)/man8
	install -s vpnc $(DESTDIR)$(SBINDIR)
	install vpnc-connect vpnc-disconnect $(DESTDIR)$(SBINDIR)
	install vpnc.8 $(DESTDIR)$(MANDIR)/man8

uninstall :
	rm -f $(DESTDIR)$(SBINDIR)/vpnc $(DESTDIR)$(SBINDIR)/vpnc-connect \
		$(DESTDIR)$(SBINDIR)/vpnc-disconnect \
		$(DESTDIR)$(MANDIR)/man8/vpnc.8

.PHONY : clean dist all install install-strip uninstall

#

## vpnc 0.3.3+SVN20051028

=== Makefile ===
--- 
+++ 
@@ -18,11 +18,12 @@
 
 DESTDIR=
 PREFIX=/usr/local
+ETCDIR=/etc/vpnc
 SBINDIR=$(PREFIX)/sbin
 MANDIR=$(PREFIX)/share/man
 
 CC=gcc
-CFLAGS=-W -Wall -O -g '-DVERSION="$(shell cat VERSION)"' $(shell libgcrypt-config --cflags)
+CFLAGS=-W -Wall -O3 -Wmissing-declarations -Wwrite-strings -g '-DVERSION="$(shell cat VERSION)"' $(shell libgcrypt-config --cflags)
 LDFLAGS=-g $(shell libgcrypt-config --libs)
 
 ifeq ($(shell uname -s), Linux)
@@ -34,6 +35,10 @@
 endif
 ifeq ($(shell uname -s), NetBSD)
 CFLAGS += -DSOCKADDR_IN_SIN_LEN -DHAVE_SA_LEN
+SYSDEP=sysdep-bsd.o
+endif
+ifeq ($(shell uname -s), DragonFly)
+CFLAGS += -DSOCKADDR_IN_SIN_LEN -DHAVE_SA_LEN -DDRAGONFLY_BSD
 SYSDEP=sysdep-bsd.o
 endif
 ifeq ($(shell uname -s), OpenBSD)
@@ -48,15 +53,19 @@
 
 FILELIST := $(shell echo *.c *.h vpnc-*) Makefile README ChangeLog COPYING TODO VERSION vpnc.conf vpnc.8 pcf2vpnc
 
-vpnc : vpnc.o isakmp-pkt.o tunip.o config.o $(SYSDEP) dh.o math_group.o
+vpnc : vpnc.o vpnc-debug.o isakmp-pkt.o tunip.o config.o $(SYSDEP) dh.o math_group.o
 	$(CC) -o $@ $^ $(LDFLAGS)
 
-vpnc.o : isakmp.h isakmp-pkt.h dh.h sysdep.h math_group.h config.h VERSION
-isakmp-pkt.o : isakmp.h isakmp-pkt.h config.h
-tunip.o : sysdep.h vpnc.h config.h
-config.o : vpnc.h config.h VERSION
+vpnc.o : vpnc-debug.h isakmp.h isakmp-pkt.h dh.h sysdep.h math_group.h config.h VERSION
+isakmp-pkt.o : vpnc-debug.h isakmp.h isakmp-pkt.h config.h
+tunip.o : vpnc-debug.h sysdep.h vpnc.h config.h
+config.o : vpnc-debug.h vpnc.h config.h VERSION
 dh.o : dh.h math_group.h
 math_group.o : math_group.h
+debug.o : vpnc-debug.c vpnc-debug.h
+
+vpnc-debug.c vpnc-debug.h : isakmp.h enum2debug.pl
+	./enum2debug.pl isakmp.h >vpnc-debug.c 2>vpnc-debug.h
 
 vpnc.ps : vpnc.c
 	enscript -E -G -T 4 --word-wrap -o- $^ | psnup -2 /dev/stdin $@
@@ -79,23 +88,29 @@
 clean :
 	-rm -f vpnc *.o tags
 
+realclean :
+	-rm -f vpnc *.o tags vpnc-debug.c vpnc-debug.h
+
 all : vpnc
 
 install :
-	install -d $(DESTDIR)$(SBINDIR) $(DESTDIR)$(MANDIR)/man8
-	install vpnc vpnc-connect vpnc-disconnect $(DESTDIR)$(SBINDIR)
+	install -d $(DESTDIR)$(ETCDIR) $(DESTDIR)$(SBINDIR) $(DESTDIR)$(MANDIR)/man8
+	install vpnc.conf vpnc-script $(DESTDIR)$(ETCDIR)
+	install vpnc vpnc-disconnect $(DESTDIR)$(SBINDIR)
 	install vpnc.8 $(DESTDIR)$(MANDIR)/man8
 
 install-strip :
-	install -d $(DESTDIR)$(SBINDIR) $(DESTDIR)$(MANDIR)/man8
+	install -d $(DESTDIR)$(ETCDIR) $(DESTDIR)$(SBINDIR) $(DESTDIR)$(MANDIR)/man8
+	install vpnc.conf vpnc-script $(DESTDIR)$(ETCDIR)
 	install -s vpnc $(DESTDIR)$(SBINDIR)
-	install vpnc-connect vpnc-disconnect $(DESTDIR)$(SBINDIR)
+	install vpnc-disconnect $(DESTDIR)$(SBINDIR)
 	install vpnc.8 $(DESTDIR)$(MANDIR)/man8
 
 uninstall :
-	rm -f $(DESTDIR)$(SBINDIR)/vpnc $(DESTDIR)$(SBINDIR)/vpnc-connect \
+	rm -f $(DESTDIR)$(SBINDIR)/vpnc \
 		$(DESTDIR)$(SBINDIR)/vpnc-disconnect \
 		$(DESTDIR)$(MANDIR)/man8/vpnc.8
+	@echo NOTE: remove $(DESTDIR)$(ETCDIR) manually
 
 .PHONY : clean dist all install install-strip uninstall

## vpnc 0.5.1r275

=== Makefile ===
# Makefile for an IPSec VPN client compatible with Cisco equipment.
# Copyright (C) 2002  Geoffrey Keating
# Copyright (C) 2003-2004  Maurice Massar
# Copyright (C) 2006-2007 Dan Villiom Podlaski Christiansen

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# $Id: Makefile 256 2007-10-20 16:18:42Z Joerg Mayer $

DESTDIR=
PREFIX=/usr/local
ETCDIR=/etc/vpnc
BINDIR=$(PREFIX)/bin
SBINDIR=$(PREFIX)/sbin
MANDIR=$(PREFIX)/share/man
DOCDIR=$(PREFIX)/share/doc/vpnc

SRCS = sysdep.c vpnc-debug.c isakmp-pkt.c tunip.c config.c dh.c math_group.c supp.c decrypt-utils.c
BINS = vpnc cisco-decrypt
OBJS = $(addsuffix .o,$(basename $(SRCS)))
BINOBJS = $(addsuffix .o,$(BINS))
BINSRCS = $(addsuffix .c,$(BINS))
VERSION := $(shell sh mk-version)
RELEASE_VERSION := $(shell cat VERSION)

# The license of vpnc (Gpl >= 2) is quite likely incompatible with the
# openssl license. Openssl is currently used to provide certificate
# support for vpnc (hybrid only).
# While it is OK for users to build their own binaries linking in openssl
# with vpnc and even providing dynamically linked binaries it is probably
# not OK to provide the binaries inside a distribution.
# See http://www.gnome.org/~markmc/openssl-and-the-gpl.html for further
# details.
# Some distributions like Suse and Fedora seem to think otherwise.

# Comment this in to obtain a binary with certificate support which is
# GPL incompliant though.
#OPENSSL_GPL_VIOLATION = -DOPENSSL_GPL_VIOLATION
#OPENSSLLIBS = -lcrypto

CC=gcc
CFLAGS ?= -O3 -g
CFLAGS += -W -Wall -Wmissing-declarations -Wwrite-strings
CFLAGS +=  $(shell libgcrypt-config --cflags)
CPPFLAGS += -DVERSION=\"$(VERSION)\" $(OPENSSL_GPL_VIOLATION)
LDFLAGS ?= -g
LDFLAGS += $(shell libgcrypt-config --libs) $(OPENSSLLIBS)

ifeq ($(shell uname -s), SunOS)
LDFLAGS += -lnsl -lresolv -lsocket
endif
ifneq (,$(findstring Apple,$(shell $(CC) --version)))
# enabled in FSF GCC, disabled by default in Apple GCC
CFLAGS += -fstrict-aliasing -freorder-blocks -fsched-interblock
endif

all : $(BINS) vpnc.8 vpnc-script

vpnc : $(OBJS) vpnc.o
	$(CC) -o $@ $^ $(LDFLAGS)

vpnc.8 : vpnc.8.template makeman.pl vpnc
	./makeman.pl

vpnc-script : vpnc-script.in
	sed -e 's,@''PREFIX''@,$(PREFIX),g' $< > $@ && chmod 755 $@

cisco-decrypt : cisco-decrypt.o decrypt-utils.o
	$(CC) -o $@ $^ $(LDFLAGS)

.depend: $(SRCS) $(BINSRCS)
	$(CC) -MM $(SRCS) $(BINSRCS) $(CFLAGS) $(CPPFLAGS) > $@

vpnc-debug.c vpnc-debug.h : isakmp.h enum2debug.pl
	LANG=C perl -w ./enum2debug.pl isakmp.h >vpnc-debug.c 2>vpnc-debug.h

vpnc.ps : vpnc.c
	enscript -E -G -T 4 --word-wrap -o- $^ | psnup -2 /dev/stdin $@

../vpnc-%.tar.gz : vpnc-$*.tar.gz

etags :
	etags *.[ch]
ctags :
	ctags *.[ch]

vpnc-%.tar.gz :
	mkdir vpnc-$*
	LANG=C svn info -R | awk -v RS='\n\n' -v FS='\n' '/Node Kind: file/ {print substr($$1,7)}' | \
		tar cT - | tar xC vpnc-$*/
	tar zcf ../$@ vpnc-$*
	rm -rf vpnc-$*

dist : VERSION vpnc.8 vpnc-$(RELEASE_VERSION).tar.gz

clean :
	-rm -f $(OBJS) $(BINOBJS) $(BINS) tags

distclean : clean
	-rm -f vpnc-debug.c vpnc-debug.h vpnc.ps vpnc.8 .depend

install-common: all
	install -d $(DESTDIR)$(ETCDIR) $(DESTDIR)$(BINDIR) $(DESTDIR)$(SBINDIR) $(DESTDIR)$(MANDIR)/man1 $(DESTDIR)$(MANDIR)/man8 $(DESTDIR)$(DOCDIR)
	if [ "`uname -s | cut -c-6`" = "CYGWIN" ]; then \
		install vpnc-script-win $(DESTDIR)$(ETCDIR)/vpnc-script; \
		install vpnc-script-win.js $(DESTDIR)$(ETCDIR); \
	else \
		install vpnc-script $(DESTDIR)$(ETCDIR); \
	fi
	install -m600 vpnc.conf $(DESTDIR)$(ETCDIR)/default.conf
	install -m755 vpnc-disconnect $(DESTDIR)$(SBINDIR)
	install -m755 pcf2vpnc $(DESTDIR)$(BINDIR)
	install -m644 vpnc.8 $(DESTDIR)$(MANDIR)/man8
	install -m644 pcf2vpnc.1 $(DESTDIR)$(MANDIR)/man1
	install -m644 cisco-decrypt.1 $(DESTDIR)$(MANDIR)/man1
	install -m644 COPYING $(DESTDIR)$(DOCDIR)

install : install-common
	install -m755 vpnc $(DESTDIR)$(SBINDIR)
	install -m755 cisco-decrypt $(DESTDIR)$(BINDIR)

install-strip : install-common
	install -s -m755 vpnc $(DESTDIR)$(SBINDIR)
	install -s -m755 cisco-decrypt $(DESTDIR)$(BINDIR)

uninstall :
	rm -f $(DESTDIR)$(SBINDIR)/vpnc \
		$(DESTDIR)$(SBINDIR)/vpnc-disconnect \
		$(DESTDIR)$(BINDIR)/pcf2vpnc \
		$(DESTDIR)$(BINDIR)/cisco-decrypt \
		$(DESTDIR)$(MANDIR)/man1/cisco-decrypt.1 \
		$(DESTDIR)$(MANDIR)/man1/pcf2vpnc \
		$(DESTDIR)$(MANDIR)/man8/vpnc.8
	@echo NOTE: remove $(DESTDIR)$(ETCDIR) manually

.PHONY : clean distclean dist all install install-strip uninstall

#
-include .depend

## vpnc 0.5.1r334-1

=== debian/changelog ===
vpnc (0.5.1r334-1) unstable; urgency=low

  * Maemo Port

 -- Philipp Seidel <maemo@dinotools.de>  Tue, 19 Aug 2008 12:10:30 +0200

vpnc (0.5.1r275-1) unstable; urgency=low

  * New upstream SVN snapshot with various bugfixes
  * A very very very very urgent "fix" from Nicolas Duboc to put cisco-decrypt
    into /usr/lib/vpnc (closes: #454236)

 -- Eduard Bloch <blade@debian.org>  Sun, 23 Dec 2007 15:42:52 +0100

vpnc (0.5.1r254-1) unstable; urgency=low

  * New upstream release (with updates from trunk)
    + removes bash specific function keyword (closes: #441045, #444859)
  * adding cisco-decrypt to vpnc tool (closes: #444631)

 -- Eduard Bloch <blade@debian.org>  Thu, 18 Oct 2007 09:42:08 +0200

vpnc (0.5.0-1) unstable; urgency=low

  * New upstream release
    + lots of add-ons and fixes moved into official source
    + Dead Peer Detection improvements (closes: #416180)
    + Fixes in net-tools usage (closes: #430799)
    + unsuccessfull error code on authentication failure (closes: #414437)
  * put resolvconf and iproute into Recommends

 -- Eduard Bloch <blade@debian.org>  Thu, 30 Aug 2007 20:51:37 +0200

vpnc (0.4.0-3) unstable; urgency=low

  * 06_stolen_from_head.dpatch: sync with SVN revision 174, including fixes
    for DPD (closes: #416180) and also most likely solves the keepalive
    problems (closes: #418906, reopen if not)
  * 04_debianitis.dpatch: ifconfig call with full path (closes: 423146)

 -- Eduard Bloch <blade@debian.org>  Wed, 23 May 2007 22:45:46 +0200

vpnc (0.4.0-2) unstable; urgency=medium

  * proper increment variable picking when emulating Target networks
    directive (closes: #412784)
  * small bug in resolv.conf update forbidding directive handling fixed,
    it was causing unuseable resolv.conf in certain cases
  * 06_stolen_from_head.dpatch: upstream fixes in Revision 159
    (closes: #411668)

 -- Eduard Bloch <blade@debian.org>  Sun, 11 Mar 2007 18:48:27 +0100

vpnc (0.4.0-1) unstable; urgency=low

  * New upstream release
    + GNU/kFreeBSD related fixes (closes: #400740)
    + Supports phase2 rekeying (closes: #411108)
    + auto-creating /var/run/vpnc (closes: #403783)
  * Old config handling extensions replaced with wrappers to upstream
    vpnc-script function variables which are declared official now
    (closes: #399131)
  * more connect/shutdown hooks (closes: #366257)
  * not depending on iproute, though old extensions may not work without it
    but users are warned in that case (closes: #393848)

 -- Eduard Bloch <blade@debian.org>  Mon, 19 Feb 2007 22:33:12 +0100

vpnc (0.3.3+SVN20051028-3) unstable; urgency=low

  * 08_keepalive_and_rekeying.dpatch: patch for basic rekeying and keepalive
    support from Tomas Mraz <tmraz@redhat.com>
  * stronger permissions of /etc/vpnc/ and /etc/vpnc/example.conf to protect
    careless users from making their login data world-readable 
    (closes: #340105)
  * documented connect/disconnect hooks in README.Debian, thanks to Elmar
    Hoffmann (closes: #360704)

 -- Eduard Bloch <blade@debian.org>  Fri, 14 Apr 2006 23:30:36 +0200

vpnc (0.3.3+SVN20051028-2) unstable; urgency=low

  * TARGET_NETWORKS code was accidentaly removed in 04_debianitis.dpatch, now
    restored (closes: #336532)

 -- Eduard Bloch <blade@debian.org>  Wed, 02 Nov 2005 09:07:12 +0100

vpnc (0.3.3+SVN20051028-1) unstable; urgency=low

  * new upstream snapshot
    + includes a password string deobfuscater
    + a bash specific loop construct has been rewritten (closes: #335989)
  * inserts another default default value into setup variables (now 
    really closes: #334203, #335518)
  * fallback to $configname.conf file scheme (closes: #335383)
  * vpnc-script tries to open the device for 10 seconds after the module has
    been loaded, to work around udev's timing problems (closes: #281663)

 -- Eduard Bloch <blade@debian.org>  Fri, 28 Oct 2005 16:08:00 +0200

vpnc (0.3.3+SVN20050909-5) unstable; urgency=low

  * set the default string "No" for DNS_UPDATE (closes: #334699)
  * do not see any additional routes sent by the server when the
    TARGET_NETWORKS is set (closes: #334203)

 -- Eduard Bloch <blade@debian.org>  Thu, 13 Oct 2005 22:14:39 +0200

vpnc (0.3.3+SVN20050909-4) unstable; urgency=low

  * added the magic [ words to the test commands in the new hooks 
    (closes: #333813)
 
 -- Eduard Bloch <blade@debian.org>  Thu, 13 Oct 2005 12:47:15 +0200

vpnc (0.3.3+SVN20050909-3) unstable; urgency=low

  * this should be the "good third revision" of 0.3.3 (closes: #314941)
  * correct fixes for the DNSUpdate option check (for every corner case) and
    patch merge errors in the TARGET_NETWORKS execution (closes: #333312)
  * added a hook to vpnc-script to execute
    /etc/vpnc/vpnc-script-disconnect-action on disconnect, if found. Create it
    or even modify vpnc-script as needed. (closes: #254032)
  * also added a hook for /etc/vpnc/vpnc-script-disconnect-action to add
    custom stuff there (closes: #299472)

 -- Eduard Bloch <blade@debian.org>  Thu, 13 Oct 2005 12:43:23 +0200

vpnc (0.3.3+SVN20050909-2) unstable; urgency=low

  * fixed typo in vpnc-script patch which was causing the resolv.conf update
    though disabled in the config

 -- Eduard Bloch <blade@debian.org>  Wed, 12 Oct 2005 01:11:44 +0200

vpnc (0.3.3+SVN20050909-1) unstable; urgency=low

  * New upstream release
    + all functionality of vpnc-connect moved to vpnc and vpnc-script
  * migrated additional vpnc-connect functionality (resolvconf, Target
    Networks, DNSUpdate options) to vpnc-script and vpnc source
  * set transitional symlink vpnc-connect (-> vpnc)
  * reduced default MTU to 1390 to work around problems seen while testing

 -- Eduard Bloch <blade@debian.org>  Mon, 10 Oct 2005 12:22:42 +0200

vpnc (0.3.2+SVN20050326-2) unstable; urgency=high

  * added a check for having a slash in the config file specification (now it
    really accepts absolute paths only and not some random, or even malicious,


=== debian/control ===
Source: vpnc
Section: user/communication
Priority: extra
Maintainer: Philipp Seidel <maemo@dinotools.de>
Build-Depends: debhelper (>= 4.0.0), libgcrypt11-dev, dpatch
Standards-Version: 3.8.0

Package: vpnc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: resolvconf, iproute
Description: Cisco-compatible VPN client
 vpnc is a VPN client compatible with cisco3000 VPN Concentrator (also
 known as Cisco's EasyVPN equipment). vpnc runs entirely in userspace
 and does not require kernel modules except of the tun driver to
 communicate with the network layer.
 .
 It supports most of the features needed to establish connection to the
 VPN concentrator: MD5 and SHA1 hashes, 3DES and AES ciphers, PFS and
 various IKE DH group settings.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp patch
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/vpnc.sgml > vpnc.1

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) distclean || true

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/vpnc.
	cp vpnc vpnc-disconnect debian/vpnc/usr/sbin/
	install -m755 pcf2vpnc debian/vpnc/usr/share/vpnc/
	install -m755 cisco-decrypt debian/vpnc/usr/lib/vpnc/
	install -D -m600 vpnc.conf   debian/vpnc/etc/vpnc/example.conf
	install -D -m755 vpnc-script debian/vpnc/etc/vpnc/vpnc-script
	chmod 700 debian/vpnc/etc/vpnc

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_link -pvpnc /usr/sbin/vpnc /usr/sbin/vpnc-connect
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman vpnc.8
	ln -sf vpnc.8.gz debian/vpnc/usr/share/man/man8/vpnc-connect.8.gz
	ln -sf vpnc.8.gz debian/vpnc/usr/share/man/man8/vpnc-disconnect.8.gz
	dh_link
	dh_strip
	dh_compress
	dh_fixperms -X/etc/vpnc
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## vpnc 0.5.3r449

=== debian/changelog ===
vpnc (0.5.3r449-3) unstable; urgency=low

  * New maintainer.
  * Use source "3.0 (quilt)", dh 8 and minimal debian/rules.
    + Converted patch system from dpatch to quilt.
    + Added DEP-3 headers and refreshed 07_bug496718.patch.
  * Don't ship duplicate sample config in examples, and go with upstream's
    default.conf.
  * Install cisco-decrypt and pcf2vpnc into /usr/bin like upstream does,
    increasing visibility.
  * debian/control: Added Homepage field.
  * Added fix_make_test.patch: cert0.pem has expired, remove it from test.
  * Rewrote debian/copyright according to DEP-5.
  * Added debian/watch.
  * Bumped Standards-Version to 3.9.2 (no changes necessary).

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Mon, 09 Jan 2012 00:14:49 +0100

vpnc (0.5.3r449-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Bug fix: "more verbose iproute makes vpnc fail connecting", taken from
    http://git.infradead.org/users/dwmw2/vpnc-scripts.git/commitdiff/4deaaf9a32
    Closes: #624203, #640978, LP: #805435.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Thu, 24 Nov 2011 15:06:35 +0000

vpnc (0.5.3r449-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Bug fix: "Disconnects after an hour and loops trying to reconnect",
    thanks to Daniel Schepler (Closes: #496718, LP: #479632). Patch taken
    from upstream: http://www.gossamer-threads.com/lists/vpnc/devel/3442

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 09 Nov 2010 12:03:17 +0100

vpnc (0.5.3r449-2) unstable; urgency=low

  * Add pkg-config build-dependency. (closes: #574715)

 -- Eric Warmenhoven <warmenhoven@debian.org>  Sat, 20 Mar 2010 21:07:07 -0700

vpnc (0.5.3r449-1) unstable; urgency=low

  * New upstream SVN snapshot with GnuTLS support (closes: #513645, #440318)
  * Change resolvconf from "Recommends" to "Suggests (closes: #519947)
  * Since /var/run/vpnc is automatically created, no need to have it as
    part of vpnc.dirs (fixes lintian error)

 -- Eric Warmenhoven <warmenhoven@debian.org>  Wed, 17 Mar 2010 21:09:06 -0700

vpnc (0.5.3-1) unstable; urgency=low

  * New maintainer (closes: #508590)
  * New upstream release (closes: #506265)
    + fixes bug in pcf2vpnc which causes too many spaces (closes: #456550)
    + fixes prompting for password even though it's in the configuration
      file (closes: #492981) 

 -- Eric Warmenhoven <warmenhoven@debian.org>  Mon, 15 Dec 2008 17:52:20 -0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: vpnc
-Section: user/communication
+Section: net
 Priority: extra
-Maintainer: Philipp Seidel <maemo@dinotools.de>
-Build-Depends: debhelper (>= 4.0.0), libgcrypt11-dev, dpatch
-Standards-Version: 3.8.0
+Maintainer: Florian Schlichting <fschlich@zedat.fu-berlin.de>
+Build-Depends: debhelper (>= 8), libgnutls-dev, pkg-config
+Standards-Version: 3.9.2
+Homepage: http://www.unix-ag.uni-kl.de/~massar/vpnc/
 
 Package: vpnc
 Architecture: any
+Suggests: resolvconf
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: resolvconf, iproute
+Recommends: iproute
 Description: Cisco-compatible VPN client
  vpnc is a VPN client compatible with cisco3000 VPN Concentrator (also
  known as Cisco's EasyVPN equipment). vpnc runs entirely in userspace

=== debian/rules ===
#!/usr/bin/make -f

PREFIX=/usr

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PREFIX=${PREFIX}
 
override_dh_auto_install:
	dh_auto_install -- PREFIX=${PREFIX} install
	rm ./debian/vpnc/usr/share/doc/vpnc/COPYING

override_dh_fixperms:
	dh_fixperms
	chmod 700 ./debian/vpnc/etc/vpnc
	chmod 600 ./debian/vpnc/etc/vpnc/default.conf

## vpnc 0.5.3r512

=== Makefile ===
--- 
+++ 
@@ -7,17 +7,17 @@
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation; either version 2 of the License, or
 # (at your option) any later version.
-# 
+#
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
-# 
+#
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 #
-# $Id: Makefile 256 2007-10-20 16:18:42Z Joerg Mayer $
+# $Id$
 
 DESTDIR=
 PREFIX=/usr/local
@@ -27,16 +27,8 @@
 MANDIR=$(PREFIX)/share/man
 DOCDIR=$(PREFIX)/share/doc/vpnc
 
-SRCS = sysdep.c vpnc-debug.c isakmp-pkt.c tunip.c config.c dh.c math_group.c supp.c decrypt-utils.c
-BINS = vpnc cisco-decrypt
-OBJS = $(addsuffix .o,$(basename $(SRCS)))
-BINOBJS = $(addsuffix .o,$(BINS))
-BINSRCS = $(addsuffix .c,$(BINS))
-VERSION := $(shell sh mk-version)
-RELEASE_VERSION := $(shell cat VERSION)
-
 # The license of vpnc (Gpl >= 2) is quite likely incompatible with the
-# openssl license. Openssl is currently used to provide certificate
+# openssl license. Openssl is one possible library used to provide certificate
 # support for vpnc (hybrid only).
 # While it is OK for users to build their own binaries linking in openssl
 # with vpnc and even providing dynamically linked binaries it is probably
@@ -47,16 +39,34 @@
 
 # Comment this in to obtain a binary with certificate support which is
 # GPL incompliant though.
-#OPENSSL_GPL_VIOLATION = -DOPENSSL_GPL_VIOLATION
-#OPENSSLLIBS = -lcrypto
+#OPENSSL_GPL_VIOLATION=yes
+
+CRYPTO_LDADD = $(shell pkg-config --libs gnutls)
+CRYPTO_CFLAGS = $(shell pkg-config --cflags gnutls) -DCRYPTO_GNUTLS
+CRYPTO_SRCS = crypto-gnutls.c
+
+ifeq ($(OPENSSL_GPL_VIOLATION), yes)
+CRYPTO_LDADD = -lcrypto
+CRYPTO_CFLAGS = -DOPENSSL_GPL_VIOLATION -DCRYPTO_OPENSSL
+CRYPTO_SRCS = crypto-openssl.c
+endif
+
+SRCS = sysdep.c vpnc-debug.c isakmp-pkt.c tunip.c config.c dh.c math_group.c supp.c decrypt-utils.c crypto.c $(CRYPTO_SRCS)
+BINS = vpnc cisco-decrypt test-crypto
+OBJS = $(addsuffix .o,$(basename $(SRCS)))
+CRYPTO_OBJS = $(addsuffix .o,$(basename $(CRYPTO_SRCS)))
+BINOBJS = $(addsuffix .o,$(BINS))
+BINSRCS = $(addsuffix .c,$(BINS))
+VERSION := $(shell sh mk-version)
+RELEASE_VERSION := $(shell cat VERSION)
 
 CC=gcc
 CFLAGS ?= -O3 -g
 CFLAGS += -W -Wall -Wmissing-declarations -Wwrite-strings
-CFLAGS +=  $(shell libgcrypt-config --cflags)
-CPPFLAGS += -DVERSION=\"$(VERSION)\" $(OPENSSL_GPL_VIOLATION)
+CFLAGS +=  $(shell libgcrypt-config --cflags) $(CRYPTO_CFLAGS)
+CPPFLAGS += -DVERSION=\"$(VERSION)\"
 LDFLAGS ?= -g
-LDFLAGS += $(shell libgcrypt-config --libs) $(OPENSSLLIBS)
+LDFLAGS += $(shell libgcrypt-config --libs) $(CRYPTO_LDADD)
 
 ifeq ($(shell uname -s), SunOS)
 LDFLAGS += -lnsl -lresolv -lsocket
@@ -66,7 +76,7 @@
 CFLAGS += -fstrict-aliasing -freorder-blocks -fsched-interblock
 endif
 
-all : $(BINS) vpnc.8 vpnc-script
+all : $(BINS) vpnc.8
 
 vpnc : $(OBJS) vpnc.o
 	$(CC) -o $@ $^ $(LDFLAGS)
@@ -74,17 +84,17 @@
 vpnc.8 : vpnc.8.template makeman.pl vpnc
 	./makeman.pl
 
-vpnc-script : vpnc-script.in
-	sed -e 's,@''PREFIX''@,$(PREFIX),g' $< > $@ && chmod 755 $@
+cisco-decrypt : cisco-decrypt.o decrypt-utils.o
+	$(CC) -o $@ $^ $(LDFLAGS)
 
-cisco-decrypt : cisco-decrypt.o decrypt-utils.o
+test-crypto : sysdep.o test-crypto.o crypto.o $(CRYPTO_OBJS)
 	$(CC) -o $@ $^ $(LDFLAGS)
 
 .depend: $(SRCS) $(BINSRCS)
 	$(CC) -MM $(SRCS) $(BINSRCS) $(CFLAGS) $(CPPFLAGS) > $@
 
 vpnc-debug.c vpnc-debug.h : isakmp.h enum2debug.pl
-	LANG=C perl -w ./enum2debug.pl isakmp.h >vpnc-debug.c 2>vpnc-debug.h
+	LC_ALL=C perl -w ./enum2debug.pl isakmp.h >vpnc-debug.c 2>vpnc-debug.h
 
 vpnc.ps : vpnc.c
 	enscript -E -G -T 4 --word-wrap -o- $^ | psnup -2 /dev/stdin $@
@@ -98,10 +108,14 @@
 
 vpnc-%.tar.gz :
 	mkdir vpnc-$*
-	LANG=C svn info -R | awk -v RS='\n\n' -v FS='\n' '/Node Kind: file/ {print substr($$1,7)}' | \
-		tar cT - | tar xC vpnc-$*/
-	tar zcf ../$@ vpnc-$*
+	LC_ALL=C svn info -R | awk -v RS='' -v FS='\n' '/Node Kind: file/ {print substr($$1,7)}' | \
+		tar -cf - -T - | tar -xf - -C vpnc-$*/
+	tar -czf ../$@ vpnc-$*
 	rm -rf vpnc-$*
+
+test : all
+	./test-crypto test/cert.pem test/cert0.pem test/cert1.pem test/cert2.pem test/root.pem
+	#./test-crypto test/cert.pem test/cert0.crt test/cert1.crt test/cert2.crt test/root.crt
 
 dist : VERSION vpnc.8 vpnc-$(RELEASE_VERSION).tar.gz

=== debian/changelog ===
vpnc (0.5.3r512-2ubuntu1) precise; urgency=low

  * Added fetch-split-dns-prop.patch to fetch split DNS property from
    Cisco VPN servers. (LP: #954747)

 -- Evan Broder <evan@ebroder.net>  Tue, 13 Mar 2012 23:26:42 -0700

vpnc (0.5.3r512-2) unstable; urgency=low

  * Turned maintainer scripts into proper shell scripts (thanks, Johannes
    Schauer!). Closes: #663206
  * Added a pre-dependency on dpkg (>= 1.15.7.2) for dpkg-maintscript-helper.
  * Bumped Standards-Version to 3.9.3.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Tue, 13 Mar 2012 18:50:35 +0100

vpnc (0.5.3r512-1) unstable; urgency=low

  * Imported new upstream SVN snapshot with support for Fritz!Box routers
    (closes: #629646), fixed MTU when no default route (closes: #525389).
  * Refreshed patches, dropped 07_bug496718.patch, 08_bug640978.patch 
    (applied upstream).
  * Added missing ${perl:Depends}.
  * Updated debian/copyright to reflect recent work in SVN.
  * Updated README.Debian, clarified security warning (closes: #442629) and
    added a note on NetworkManager integration.
  * Properly remove obsolete conffile example.conf on upgrade.
  * Simplify debian/rules (PREFIX ony needed for install - thanks gregoa).
  * Added a get-orig-source target to debian/rules.
  * Bumped debhelper compatibility to level 9 for extra hardening build flags.
  * Added fix_makefile_VERSION.patch so that vpnc will report the correct
    version including SVN revision.

 -- Florian Schlichting <fschlich@zedat.fu-berlin.de>  Wed, 15 Feb 2012 23:34:20 +0100

=== debian/control ===
Source: vpnc
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Florian Schlichting <fschlich@zedat.fu-berlin.de>
Build-Depends: debhelper (>= 9), libgnutls-dev, pkg-config
Standards-Version: 3.9.3
Homepage: http://www.unix-ag.uni-kl.de/~massar/vpnc/

Package: vpnc
Architecture: any
Suggests: resolvconf
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: iproute
Description: Cisco-compatible VPN client
 vpnc is a VPN client compatible with cisco3000 VPN Concentrator (also
 known as Cisco's EasyVPN equipment). vpnc runs entirely in userspace
 and does not require kernel modules except for the tun driver to
 communicate with the network layer.
 .
 It supports most of the features needed to establish connection to the
 VPN concentrator: MD5 and SHA1 hashes, 3DES and AES ciphers, PFS and
 various IKE DH group settings.

=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
SVN_REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*r([^-]+).*,\1,p')
SVN_URL=http://svn.unix-ag.uni-kl.de/vpnc/trunk/
ORIGDIR=vpnc-$(VERSION)
TARNAME=vpnc_$(VERSION).orig.tar.gz

get-orig-source:
	rm -rf $(ORIGDIR)
	git svn clone -r $(SVN_REV) $(SVN_URL) $(ORIGDIR)
	rm -rf $(ORIGDIR)/.git
	tar czf ../$(TARNAME) $(ORIGDIR)
	rm -rf $(ORIGDIR)

%:
	dh $@

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr install
	rm ./debian/vpnc/usr/share/doc/vpnc/COPYING

override_dh_fixperms:
	dh_fixperms
	chmod 700 ./debian/vpnc/etc/vpnc
	chmod 600 ./debian/vpnc/etc/vpnc/default.conf

## vpnc 0.5.3r550

=== Makefile ===
--- 
+++ 
@@ -60,16 +60,16 @@
 VERSION := $(shell sh mk-version)
 RELEASE_VERSION := $(shell cat VERSION)
 
-CC=gcc
+CC ?= gcc
 CFLAGS ?= -O3 -g
 CFLAGS += -W -Wall -Wmissing-declarations -Wwrite-strings
 CFLAGS +=  $(shell libgcrypt-config --cflags) $(CRYPTO_CFLAGS)
 CPPFLAGS += -DVERSION=\"$(VERSION)\"
 LDFLAGS ?= -g
-LDFLAGS += $(shell libgcrypt-config --libs) $(CRYPTO_LDADD)
+LIBS += $(shell libgcrypt-config --libs) $(CRYPTO_LDADD)
 
 ifeq ($(shell uname -s), SunOS)
-LDFLAGS += -lnsl -lresolv -lsocket
+LIBS += -lnsl -lresolv -lsocket
 endif
 ifneq (,$(findstring Apple,$(shell $(CC) --version)))
 # enabled in FSF GCC, disabled by default in Apple GCC
@@ -79,16 +79,16 @@
 all : $(BINS) vpnc.8
 
 vpnc : $(OBJS) vpnc.o
-	$(CC) -o $@ $^ $(LDFLAGS)
+	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 
 vpnc.8 : vpnc.8.template makeman.pl vpnc
 	./makeman.pl
 
 cisco-decrypt : cisco-decrypt.o decrypt-utils.o
-	$(CC) -o $@ $^ $(LDFLAGS)
+	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 
 test-crypto : sysdep.o test-crypto.o crypto.o $(CRYPTO_OBJS)
-	$(CC) -o $@ $^ $(LDFLAGS)
+	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 
 .depend: $(SRCS) $(BINSRCS)
 	$(CC) -MM $(SRCS) $(BINSRCS) $(CFLAGS) $(CPPFLAGS) > $@
@@ -114,8 +114,8 @@
 	rm -rf vpnc-$*
 
 test : all
-	./test-crypto test/cert.pem test/cert0.pem test/cert1.pem test/cert2.pem test/root.pem
-	#./test-crypto test/cert.pem test/cert0.crt test/cert1.crt test/cert2.crt test/root.crt
+	./test-crypto test/sig_data.bin test/dec_data.bin test/ca_list.pem \
+		test/cert3.pem test/cert2.pem test/cert1.pem test/cert0.pem
 
 dist : VERSION vpnc.8 vpnc-$(RELEASE_VERSION).tar.gz

=== debian/changelog ===
vpnc (0.5.3r550-3.1) unstable; urgency=medium

  * Non-maintainer upload.
    + Clean-up upload, no substantive changes.
  * debian/control:
    + Bump Standards-Version to 4.4.0.
    - Drop unnecessary build-dependency dpkg-dev.
  * debian/patches:
    + Refresh patch series.
    + Add patch 0008 to use canonical shebang for perl interpreter
      in /usr/bin/pcf2vpnc.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces

 -- Boyuan Yang <byang@debian.org>  Sun, 01 Sep 2019 14:02:02 -0400

vpnc (0.5.3r550-3) unstable; urgency=medium

  [ John-John Tedro ]
  * Add bug_799429.patch (closes: #799429)

  [ Helmut Grohne ]
  * Fix FTCBFS: Use triplet-prefixed build tools (closes: #839015)

  [ Dan Lenski ]
  * Add Mihai Maties dpd_big-endian.patch LP: #700767
  * Add Dan Lenski's restore_original_cwd_after_vpnc_main_loop.patch
    LP: #1612100 closes: #833988

  [ Florian Schlichting ]
  * Recommend iproute2 instead of transitional iproute (closes: #824682)
  * Declare compliance with Debian Policy 3.9.8
  * Use secure URIs for Homepage and VCS fields
  * Add debhelper and dpkg-dev minimum versions for restriction formula
    support, drop pre-dependency on dpkg version satisfied in oldstable

 -- Florian Schlichting <fsfs@debian.org>  Wed, 23 Nov 2016 21:40:52 +0100

vpnc (0.5.3r550-2) unstable; urgency=medium

  * Enable PIE and BINDNOW hardening as suggested by Markus
  * Add vpnc_typo.patch
  * Declare compliance with Debian Policy 3.9.6

 -- Florian Schlichting <fsfs@debian.org>  Sun, 05 Oct 2014 22:44:21 +0200

vpnc (0.5.3r550-1) unstable; urgency=medium

  * Import Upstream version 0.5.3r550
    + ignores leading/trailing whitespace in config file (closes: #595660)
    + fetches split DNS information (LP: 954747)
    + includes 03_vpnc.8.patch
  * Add VCS-* fields
  * Update fix_makefile_VERSION.patch to report full Debian package version
  * Email change: Florian Schlichting -> fsfs@debian.org
  * Update copyright holders and years
  * Remove deprecated "Target networks" and "DNSupdate" extensions
  * Move user-created connect-action scripts to the new hook directories
  * Use vpnc-script from the vpnc-scripts package (closes: #673648)
  * Add a NEWS file to alert people with non-default configurations
  * Drop fix_make_test.patch, cert issue fixed upstream
  * Declare compliance with Debian Policy 3.9.5

 -- Florian Schlichting <fsfs@debian.org>  Sun, 07 Sep 2014 00:18:19 +0200

vpnc (0.5.3r512-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rebuild against libgnutls28-dev, add missing build-dependency on
    libgcrypt20-dev. Closes: #747538

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Aug 2014 18:41:36 +0200

=== debian/control ===
Source: vpnc
Section: net
Priority: optional
Maintainer: Florian Schlichting <fsfs@debian.org>
Build-Depends: debhelper (>= 9.20141010),
 libgcrypt20-dev,
 libgnutls28-dev,
 pkg-config,
 vpnc:native <cross>
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debian/vpnc
Vcs-Git: https://salsa.debian.org/debian/vpnc.git
Homepage: https://www.unix-ag.uni-kl.de/~massar/vpnc/

Package: vpnc
Architecture: any
Suggests: resolvconf
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 vpnc-scripts
Recommends: iproute2
Description: Cisco-compatible VPN client
 vpnc is a VPN client compatible with cisco3000 VPN Concentrator (also
 known as Cisco's EasyVPN equipment). vpnc runs entirely in userspace
 and does not require kernel modules except for the tun driver to
 communicate with the network layer.
 .
 It supports most of the features needed to establish connection to the
 VPN concentrator: MD5 and SHA1 hashes, 3DES and AES ciphers, PFS and
 various IKE DH group settings.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,21 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/architecture.mk
+ifeq ($(origin CC),default)
+CC = $(DEB_HOST_GNU_TYPE)-gcc
+endif
+export CC
+export PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
+ifneq ($(filter cross,$(DEB_BUILD_PROFILES)),)
+export VPNC = /usr/sbin/vpnc
+endif
 VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')
 SVN_REV=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*r([^-]+).*,\1,p')
 SVN_URL=http://svn.unix-ag.uni-kl.de/vpnc/trunk/
 ORIGDIR=vpnc-$(VERSION)
 TARNAME=vpnc_$(VERSION).orig.tar.gz
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 get-orig-source:
 	rm -rf $(ORIGDIR)
@@ -19,6 +30,7 @@
 override_dh_auto_install:
 	dh_auto_install -- PREFIX=/usr install
 	rm ./debian/vpnc/usr/share/doc/vpnc/COPYING
+	rm ./debian/vpnc/etc/vpnc/vpnc-script
 
 override_dh_fixperms:
 	dh_fixperms

## vpnc 0.5.3%2Bgit20241220

=== Makefile ===
# Makefile for an IPSec VPN client compatible with Cisco equipment.
# Copyright (C) 2002  Geoffrey Keating
# Copyright (C) 2003-2004 Maurice Massar
# Copyright (C) 2006-2007 Dan Villiom Podlaski Christiansen
# Copyright (C) 2017-2020 Davide Pucci

# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# $Id$

PREFIX?=/usr/local
ETCDIR=/etc/vpnc
BINDIR=$(PREFIX)/bin
SBINDIR=$(PREFIX)/sbin
MANDIR=$(PREFIX)/share/man
DOCDIR=$(PREFIX)/share/doc/vpnc
LICENSEDIR=$(PREFIX)/share/licenses/vpnc
SYSTEMDDIR=$(PREFIX)/lib/systemd/system

# The license of vpnc (Gpl >= 2) is quite likely incompatible with the
# openssl license. Openssl is one possible library used to provide certificate
# support for vpnc (hybrid only).
# While it is OK for users to build their own binaries linking in openssl
# with vpnc and even providing dynamically linked binaries it is probably
# not OK to provide the binaries inside a distribution.
# See http://www.gnome.org/~markmc/openssl-and-the-gpl.html for further
# details.
# Some distributions like Suse and Fedora seem to think otherwise.

# Comment this in to obtain a binary with certificate support which is
# GPL incompliant though.
#OPENSSL_GPL_VIOLATION=yes

PKG_CONFIG ?= pkg-config
LIBGCRYPT_CONFIG ?= libgcrypt-config
LIBGCRYPT_LDADD = $(shell $(PKG_CONFIG) --libs libgcrypt || $(LIBGCRYPT_CONFIG) --libs)
LIBGCRYPT_CFLAGS = $(shell $(PKG_CONFIG) --cflags libgcrypt || $(LIBGCRYPT_CONFIG) --cflags)

ifneq ($(CRYPTO_NONE), yes)
CRYPTO_SRC = src/crypto.c
CRYPTO_BINS = test-crypto
ifneq ($(OPENSSL_GPL_VIOLATION), yes)
CRYPTO_LDADD = $(shell $(PKG_CONFIG) --libs gnutls)
CRYPTO_CFLAGS = $(shell $(PKG_CONFIG) --cflags gnutls) -DCRYPTO_GNUTLS
CRYPTO_SRCS = $(CRYPTO_SRC) src/crypto-gnutls.c
else
CRYPTO_LDADD = -lcrypto
CRYPTO_CFLAGS = -DOPENSSL_GPL_VIOLATION -DCRYPTO_OPENSSL
CRYPTO_SRCS = $(CRYPTO_SRC) src/crypto-openssl.c
endif
else
CRYPTO_CFLAGS = -DCRYPTO_NONE
endif

SRCS = src/sysdep.c src/vpnc-debug.c src/isakmp-pkt.c src/tunip.c src/config.c src/dh.c src/math_group.c src/supp.c src/decrypt-utils.c $(CRYPTO_SRCS)
BINS = vpnc cisco-decrypt $(CRYPTO_BINS)
OBJS = $(addsuffix .o,$(basename $(SRCS)))
CRYPTO_OBJS = $(addsuffix .o,$(basename $(CRYPTO_SRCS)))
BINOBJS = $(addsuffix .o,$(BINS))
BINSRCS = $(addsuffix .c,$(BINS))
SCRIPT_PATH := /etc/vpnc/vpnc-script

ROOT_DIR := $(shell dirname $(realpath $(firstword $(MAKEFILE_LIST))))
BUILDDIR := $(ROOT_DIR)/bin
export BUILDDIR

VERSION := 0.5.3
export VERSION

CC ?= gcc
CFLAGS ?= -O3 -g
CFLAGS += -W -Wall -Wmissing-declarations -Wwrite-strings
CFLAGS += $(LIBGCRYPT_CFLAGS) $(CRYPTO_CFLAGS)
CPPFLAGS += -DVERSION=\"$(VERSION)\" -DSCRIPT_PATH=\"$(SCRIPT_PATH)\"
LDFLAGS ?= -g
LIBS += $(LIBGCRYPT_LDADD) $(CRYPTO_LDADD)
VPNC ?= $(BUILDDIR)/vpnc

ifeq ($(shell uname -s), SunOS)
LIBS += -lnsl -lresolv -lsocket
endif
ifneq (,$(findstring Apple,$(shell $(CC) --version)))
# enabled in FSF GCC, disabled by default in Apple GCC
CFLAGS += -fstrict-aliasing -freorder-blocks -fsched-interblock
endif

all: $(addprefix $(BUILDDIR)/,$(BINS)) src/vpnc.8

$(BUILDDIR)/vpnc: $(OBJS) src/vpnc.o
	@mkdir -p $(BUILDDIR)
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

src/vpnc.8: src/vpnc.8.template src/makeman.pl $(VPNC)
	./src/makeman.pl $(VPNC)

$(BUILDDIR)/cisco-decrypt: src/cisco-decrypt.o src/decrypt-utils.o
	@mkdir -p $(BUILDDIR)
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

ifneq ($(CRYPTO_NONE), yes)
$(BUILDDIR)/test-crypto: src/sysdep.o src/test-crypto.o src/crypto.o $(CRYPTO_OBJS)
	@mkdir -p $(BUILDDIR)
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
endif

.depend: $(SRCS) $(BINSRCS)
	$(CC) -MM $(SRCS) $(BINSRCS) $(CFLAGS) $(CPPFLAGS) > $@

src/vpnc-debug.c src/vpnc-debug.h: src/isakmp.h src/enum2debug.pl
	cd src && LC_ALL=C perl -w ./enum2debug.pl isakmp.h >vpnc-debug.c 2>vpnc-debug.h

vpnc.ps: src/vpnc.c
	enscript -E -G -T 4 --word-wrap -o- $^ | psnup -2 /dev/stdin $@

etags:
	etags *.[ch]

ctags:
	ctags *.[ch]

test: all
	$(BUILDDIR)/test-crypto src/test/sig_data.bin src/test/dec_data.bin src/test/ca_list.pem \
		src/test/cert3.pem src/test/cert2.pem src/test/cert1.pem src/test/cert0.pem

dist: vpnc.8

clean:
	-rm -rf $(OBJS) $(BINOBJS) $(BUILDDIR) tags src/cisco-decrypt.o  src/test-crypto.o  src/vpnc.o

distclean: clean
	-rm -f src/vpnc-debug.c src/vpnc-debug.h src/vpnc.ps src/vpnc.8 src/.depend

install-common: all
	install -d $(DESTDIR)$(ETCDIR) $(DESTDIR)$(BINDIR) $(DESTDIR)$(SBINDIR) $(DESTDIR)$(MANDIR)/man1 $(DESTDIR)$(MANDIR)/man8 $(DESTDIR)$(SYSTEMDDIR) $(DESTDIR)$(LICENSEDIR)
	install -m600 src/vpnc.conf $(DESTDIR)$(ETCDIR)/default.conf
	install -m755 src/vpnc-disconnect $(DESTDIR)$(SBINDIR)
	install -m755 src/pcf2vpnc $(DESTDIR)$(BINDIR)
	install -m644 src/vpnc.8 $(DESTDIR)$(MANDIR)/man8
	install -m644 src/pcf2vpnc.1 $(DESTDIR)$(MANDIR)/man1
	install -m644 src/cisco-decrypt.1 $(DESTDIR)$(MANDIR)/man1
	install -m644 src/vpnc@.service -t $(DESTDIR)$(SYSTEMDDIR)
	install -m644 LICENSE $(DESTDIR)$(LICENSEDIR)

install-doc:
	install -d $(DESTDIR)$(DOCDIR)
	install -m644 docs/*.md $(DESTDIR)$(DOCDIR)
	rm -f $(DESTDIR)$(DOCDIR)/README.md

install: install-common install-doc
	install -m755 $(BUILDDIR)/vpnc $(DESTDIR)$(SBINDIR)
	install -m755 $(BUILDDIR)/cisco-decrypt $(DESTDIR)$(BINDIR)

install-strip: install-common
	install -s -m755 $(BUILDDIR)/vpnc $(DESTDIR)$(SBINDIR)
	install -s -m755 $(BUILDDIR)/cisco-decrypt $(DESTDIR)$(BINDIR)

uninstall:
	rm -f $(DESTDIR)$(SBINDIR)/vpnc \
		$(DESTDIR)$(SBINDIR)/vpnc-disconnect \
		$(DESTDIR)$(BINDIR)/pcf2vpnc \
		$(DESTDIR)$(BINDIR)/cisco-decrypt \
		$(DESTDIR)$(MANDIR)/man1/cisco-decrypt.1 \
		$(DESTDIR)$(MANDIR)/man1/pcf2vpnc \
		$(DESTDIR)$(MANDIR)/man8/vpnc.8
	@echo NOTE: remove $(DESTDIR)$(ETCDIR) manually

.PHONY: clean distclean dist all install install-strip uninstall

#
-include .depend

=== debian/tests/control ===
Tests: connect-to-server
Depends: @,
         strongswan-charon,
         strongswan-starter,
         libcharon-extauth-plugins,
         iputils-ping,
Restrictions: needs-root,
              isolation-machine,

=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pretty=0.5.3+git%cd, pgpmode=none" \
https://github.com/streambinder/vpnc.git \
HEAD
